<?php 

/**
 * 名称：登陆控制器
 * 作者：荷塘月色
 * 邮箱：kujiw@qq.com
 * 说明：
 */

namespace Admin\Controller;
use Think\Controller;
class AuthController extends Controller {

	public function _initialize(){
		$this -> namespace = MODULE_NAME.CONTROLLER_NAME;
	}

	public function index(){
		$this -> login();
	}

	// 登录
	public function login(){
		// 登陆页面
		if (IS_GET) {
			$this -> display('login');
		}
		
		// 登录动作
		if (IS_POST) {
			// 验证验证码
			$verify = new \Think\Verify();
			if(!$verify->check(I('verify'))){
				$this -> error('验证码错误!');
			}

			// 清空session
			session(null);
			// 读取该账户
			$where = array(
				'username' => I('username'),
				'password' => crypt_pwd(I('password'))
				);
			if ($res = M('User') -> where($where) -> find()) {
				// 判断账户状态
				if ($res['status'] != 1) {
					$this -> error('该账户暂时不可使用！');
				}
				// 写入新session
				session('userid',$res['id']);
				session('username',$res['username']);
				// 更新数据库
				$updata = array('login_ip' => bindec(decbin(ip2long(get_client_ip()))),'login_time' => datetime(),'login_times'=>$res['login_times']+1);
				M('User') -> where('id='.$res['id']) -> save($updata);
				$this -> success('登陆成功!',U('Admin/Index/index'),true);
			} else {
				$this -> error('用户名或密码错误！');
			}

		}
	}

	// 退出
	public function logout(){
		if (IS_GET) {
			session(null);
			$this -> success('退出成功',U('login'));
		}
	}
}